import { DataManager } from "../../tw/manager/DataManager";
import { HtmlTextParser } from "../HtmlTextParser";
import Panel from "./Panel";

export default class RulePanel extends Panel {
    public labContent: eui.Label;
    public scroller: eui.Scroller;
    start() {
        super.start();

        this.addRule();
    }

    group: eui.Group;
    private addRule() {
        const text ='<br>'+ DataManager.ins.ajaxElementData.rule;
        this.labContent.textFlow = (new HtmlTextParser).parser(text);
    }

    get skinKey() { return 'Rule' }
}